Page MenuHomePhabricator

E SIGABORTS when starting elementary_test from the tree
Closed, ResolvedPublic

Description

#0  0x00007f20a56ea68d in pause () at /usr/lib/libpthread.so.0
#1  0x00000000005f2ac7 in e_alert_show () at src/bin/e_alert.c:43
#2  0x00000000005964ef in _e_crash () at src/bin/e_signals.c:96
#3  0x00000000005965a8 in e_sigabrt_act (x=6, info=0x7ffd751a3f70, data=0x7ffd751a3e40) at src/bin/e_signals.c:142
#4  0x00007f20a56eafe0 in <signal handler called> () at /usr/lib/libpthread.so.0
#5  0x00007f20a4c3fa10 in raise () at /usr/lib/libc.so.6
#6  0x00007f20a4c4113a in abort () at /usr/lib/libc.so.6
#7  0x00007f20a5f694ce in eina_log_print_unlocked (domain=24, level=EINA_LOG_LEVEL_CRITICAL, file=0x6120a8 "src/bin/e_comp_object.c", fnc=0x612cdd "_e_comp_smart_show", line=2370, fmt=0x61236c "ACK!", args=0x7ffd751a58c0)
    at lib/eina/eina_log.c:1456
#8  0x00007f20a5f68f38 in eina_log_print (domain=24, level=EINA_LOG_LEVEL_CRITICAL, file=0x6120a8 "src/bin/e_comp_object.c", fnc=0x612cdd "_e_comp_smart_show", line=2370, fmt=0x61236c "ACK!") at lib/eina/eina_log.c:2257
#9  0x0000000000493e72 in _e_comp_smart_show (obj=0x80000054289ae44c) at src/bin/e_comp_object.c:2370
#10 0x00007f20acd9e653 in _show (eo_obj=0x80000054289ae44c, obj=0x3519de0) at lib/evas/canvas/evas_object_main.c:1652
#11 0x00007f20acd99d37 in _efl_canvas_object_efl_gfx_visible_set (eo_obj=0x80000054289ae44c, obj=0x3519de0, vis=1 '\001') at lib/evas/canvas/evas_object_main.c:1802
#12 0x00007f20a6412aa9 in efl_gfx_visible_set (obj=0x80000054289ae44c, v=1 '\001') at ../src/lib/efl/interfaces/efl_gfx.eo.c:21
#13 0x00007f20acd92220 in evas_object_show (eo_obj=0x80000054289ae44c) at lib/evas/canvas/evas_object_main.c:1631
#14 0x000000000046a4a1 in e_client_desk_set (ec=0x3765be0, desk=0x2770420) at src/bin/e_client.c:2799
#15 0x000000000046be99 in e_client_zone_set (ec=0x3765be0, zone=0x276faf0) at src/bin/e_client.c:3315
#16 0x000000000046a0d2 in _e_client_zone_update (ec=0x3765be0) at src/bin/e_client.c:1387
#17 0x000000000046aacd in _e_client_cb_evas_move (data=0x3765be0, e=0x80000002389ac4ae, obj=0x80000054289ae44c, event_info=0x0) at src/bin/e_client.c:1558
#18 0x00007f20acd4f65f in _eo_evas_object_cb (data=0x2cabd70, event=0x7ffd751a5cd0) at lib/evas/canvas/evas_callbacks.c:184
#19 0x00007f20a61f0399 in _event_callback_call (obj_id=0x80000054289ae44c, pd=0x3519da0, desc=0x7f20a664ea90 <_EFL_GFX_EVENT_MOVE>, event_info=0x0, legacy_compare=1 '\001') at lib/eo/eo_base_class.c:1496
#20 0x00007f20a61eddd3 in _efl_object_event_callback_legacy_call (obj_id=0x80000054289ae44c, pd=0x3519da0, desc=0x7f20a664ea90 <_EFL_GFX_EVENT_MOVE>, event_info=0x0) at lib/eo/eo_base_class.c:1569
#21 0x00007f20a61e8a2b in efl_event_callback_legacy_call (obj=0x80000054289ae44c, desc=0x7f20a664ea90 <_EFL_GFX_EVENT_MOVE>, event_info=0x0) at lib/eo/eo_base_class.c:1572
#22 0x00007f20acd9dff3 in _efl_canvas_object_efl_object_event_callback_legacy_call (eo_obj=0x80000054289ae44c, obj=0x3519de0, desc=0x7f20a664ea90 <_EFL_GFX_EVENT_MOVE>, event_info=0x0) at lib/evas/canvas/evas_object_main.c:993
#23 0x00007f20a61e8a2b in efl_event_callback_legacy_call (obj=0x80000054289ae44c, desc=0x7f20a664ea90 <_EFL_GFX_EVENT_MOVE>, event_info=0x0) at lib/eo/eo_base_class.c:1572
#24 0x00007f20acd4fc9d in evas_object_event_callback_call (eo_obj=0x80000054289ae44c, obj=0x3519de0, type=EVAS_CALLBACK_MOVE, event_info=0x0, event_id=135955, efl_event_desc=0x7f20a664ea90 <_EFL_GFX_EVENT_MOVE>)
    at lib/evas/canvas/evas_callbacks.c:404
#25 0x00007f20acda0c57 in evas_object_inform_call_move (eo_obj=0x80000054289ae44c, obj=0x3519de0) at lib/evas/canvas/evas_object_inform.c:32
#26 0x00007f20acd9a6d3 in _efl_canvas_object_efl_gfx_position_set (eo_obj=0x80000054289ae44c, obj=0x3519de0, x=0, y=0) at lib/evas/canvas/evas_object_main.c:1172
#27 0x00007f20a641189b in efl_gfx_position_set (obj=0x80000054289ae44c, x=0, y=0) at ../src/lib/efl/interfaces/efl_gfx.eo.c:11
#28 0x00007f20acd91f71 in evas_object_move (obj=0x80000054289ae44c, x=0, y=0) at lib/evas/canvas/evas_object_main.c:1114
#29 0x00000000004954e9 in _e_comp_intercept_move (data=0x2dc3fe0, obj=0x80000054289ae44c, x=0, y=0) at src/bin/e_comp_object.c:1128
#30 0x00007f20acda3b4e in evas_object_intercept_call_move (eo_obj=0x80000054289ae44c, obj=0x3519de0, a=0, b=0) at lib/evas/canvas/evas_object_intercept.c:76
#31 0x00007f20acda1726 in _evas_object_intercept_call_internal (eo_obj=0x80000054289ae44c, obj=0x3519de0, cb_type=EVAS_OBJECT_INTERCEPT_CB_MOVE, internal=1, args=0x7ffd751a6510) at lib/evas/canvas/evas_object_intercept.c:122
#32 0x00007f20acda207c in _evas_object_intercept_call_evas (obj=0x3519de0, cb_type=EVAS_OBJECT_INTERCEPT_CB_MOVE, internal=1) at lib/evas/canvas/evas_object_intercept.c:236
#33 0x00007f20acd9a395 in _efl_canvas_object_efl_gfx_position_set (eo_obj=0x80000054289ae44c, obj=0x3519de0, x=0, y=0) at lib/evas/canvas/evas_object_main.c:1126
#34 0x00007f20a641189b in efl_gfx_position_set (obj=0x80000054289ae44c, x=0, y=0) at ../src/lib/efl/interfaces/efl_gfx.eo.c:11
#35 0x00007f20acd91f71 in evas_object_move (obj=0x80000054289ae44c, x=0, y=0) at lib/evas/canvas/evas_object_main.c:1114
#36 0x0000000000498575 in _e_comp_intercept_show_helper (cw=0x2dc3fe0) at src/bin/e_comp_object.c:1718
#37 0x0000000000496372 in _e_comp_intercept_show (data=0x2dc3fe0, obj=0x80000054289ae44c) at src/bin/e_comp_object.c:1763
#38 0x00007f20acda39c0 in evas_object_intercept_call_show (eo_obj=0x80000054289ae44c, obj=0x3519de0) at lib/evas/canvas/evas_object_intercept.c:71
#39 0x00007f20acda1567 in _evas_object_intercept_call_internal (eo_obj=0x80000054289ae44c, obj=0x3519de0, cb_type=EVAS_OBJECT_INTERCEPT_CB_VISIBLE, internal=1, args=0x7ffd751a6aa0) at lib/evas/canvas/evas_object_intercept.c:103
#40 0x00007f20acda207c in _evas_object_intercept_call_evas (obj=0x3519de0, cb_type=EVAS_OBJECT_INTERCEPT_CB_VISIBLE, internal=1) at lib/evas/canvas/evas_object_intercept.c:236
#41 0x00007f20acd99d13 in _efl_canvas_object_efl_gfx_visible_set (eo_obj=0x80000054289ae44c, obj=0x3519de0, vis=1 '\001') at lib/evas/canvas/evas_object_main.c:1799
#42 0x00007f20a6412aa9 in efl_gfx_visible_set (obj=0x80000054289ae44c, v=1 '\001') at ../src/lib/efl/interfaces/efl_gfx.eo.c:21
#43 0x00007f20acd92220 in evas_object_show (eo_obj=0x80000054289ae44c) at lib/evas/canvas/evas_object_main.c:1631
#44 0x00000000005ee146 in _e_comp_x_show_helper (ec=0x3765be0) at src/bin/e_comp_x.c:1442
#45 0x00000000005e2ace in _e_comp_x_show (data=0x0, type=122, ev=0x3740540) at src/bin/e_comp_x.c:1502
#46 0x00007f20a6b82358 in _ecore_call_handler_cb (func=0x5e28d0 <_e_comp_x_show>, data=0x0, type=122, event=0x3740540) at ../src/lib/ecore/ecore_private.h:315
#47 0x00007f20a6b81e37 in _ecore_event_call () at lib/ecore/ecore_events.c:518
#48 0x00007f20a6b8a0a2 in _ecore_main_loop_iterate_internal (once_only=0) at lib/ecore/ecore_main.c:2397
#49 0x00007f20a6b8a236 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1299
#50 0x0000000000442320 in main (argc=1, argv=0x7ffd751df538) at src/bin/e_main.c:1081

Related Objects

bu5hm4n created this task.May 23 2017, 11:18 AM

What is ec->new_client ?

p ec->new_client
$2 = 0
zmike added a comment.May 25 2017, 7:13 AM

And ec->override is 1?

zmike added a comment.May 25 2017, 9:18 AM

Actually, just try my current wip branch and I think this should be resolved.

bu5hm4n closed this task as Resolved.May 30 2017, 2:28 AM

could not reproduce in a few days, will reopen when its happening again.

bu5hm4n reopened this task as Open.Jun 9 2017, 2:13 AM

Here is a coredump file of it - can you read that one on your maschine ?

... here is the file ?

bu5hm4n added a comment.EditedJun 9 2017, 2:21 AM

Nice phabricator cuts off my file! nice!

Personal note: core.918

So here the old way:

#0  0x00007f1c93866fad in pause () at /usr/lib/libpthread.so.0
#1  0x00000000005f2ac7 in e_alert_show () at src/bin/e_alert.c:43
#2  0x00000000005964ef in _e_crash () at src/bin/e_signals.c:96
#3  0x00000000005965a8 in e_sigabrt_act (x=6, info=0x7fff3b3c6a30, data=0x7fff3b3c6900) at src/bin/e_signals.c:142
#4  0x00007f1c93867940 in <signal handler called> () at /usr/lib/libpthread.so.0
#5  0x00007f1c92dbc670 in raise () at /usr/lib/libc.so.6
#6  0x00007f1c92dbdd00 in abort () at /usr/lib/libc.so.6
#7  0x00007f1c940e7f7e in eina_log_print_unlocked (domain=27, level=EINA_LOG_LEVEL_CRITICAL, file=0x6121a8 "src/bin/e_comp_object.c", fnc=0x612ddd "_e_comp_smart_show", line=2375, fmt=0x61246c "ACK!", args=0x7fff3b3c83a0)
    at lib/eina/eina_log.c:1458
#8  0x00007f1c940e79e8 in eina_log_print (domain=27, level=EINA_LOG_LEVEL_CRITICAL, file=0x6121a8 "src/bin/e_comp_object.c", fnc=0x612ddd "_e_comp_smart_show", line=2375, fmt=0x61246c "ACK!") at lib/eina/eina_log.c:2259
#9  0x0000000000493e42 in _e_comp_smart_show (obj=0x80000055e52c0ab7) at src/bin/e_comp_object.c:2375
#10 0x00007f1c9af33f83 in _show (eo_obj=0x80000055e52c0ab7, obj=0x3472a30) at lib/evas/canvas/evas_object_main.c:1654
#11 0x00007f1c9af2f797 in _efl_canvas_object_efl_gfx_visible_set (eo_obj=0x80000055e52c0ab7, obj=0x3472a30, vis=1 '\001') at lib/evas/canvas/evas_object_main.c:1804
#12 0x00007f1c9459d619 in efl_gfx_visible_set (obj=0x80000055e52c0ab7, v=1 '\001') at ../src/lib/efl/interfaces/efl_gfx.eo.c:21
#13 0x00007f1c9af27c70 in evas_object_show (eo_obj=0x80000055e52c0ab7) at lib/evas/canvas/evas_object_main.c:1633
#14 0x000000000046a451 in e_client_desk_set (ec=0x37800d0, desk=0x22226e0) at src/bin/e_client.c:2799
#15 0x000000000046be69 in e_client_zone_set (ec=0x37800d0, zone=0x2221d80) at src/bin/e_client.c:3315
#16 0x000000000046a082 in _e_client_zone_update (ec=0x37800d0) at src/bin/e_client.c:1387
#17 0x000000000046aa8e in _e_client_cb_evas_move (data=0x37800d0, e=0x80000002352b21e2, obj=0x80000055e52c0ab7, event_info=0x0) at src/bin/e_client.c:1558
#18 0x00007f1c9aee465f in _eo_evas_object_cb (data=0x27df6f0, event=0x7fff3b3c87b0) at lib/evas/canvas/evas_callbacks.c:184
#19 0x00007f1c9436f869 in _event_callback_call (obj_id=0x80000055e52c0ab7, pd=0x34729f0, desc=0x7f1c947dd1d8 <_EFL_GFX_EVENT_MOVE>, event_info=0x0, legacy_compare=1 '\001') at lib/eo/eo_base_class.c:1496
#20 0x00007f1c9436d2a3 in _efl_object_event_callback_legacy_call (obj_id=0x80000055e52c0ab7, pd=0x34729f0, desc=0x7f1c947dd1d8 <_EFL_GFX_EVENT_MOVE>, event_info=0x0) at lib/eo/eo_base_class.c:1569
#21 0x00007f1c94367efb in efl_event_callback_legacy_call (obj=0x80000055e52c0ab7, desc=0x7f1c947dd1d8 <_EFL_GFX_EVENT_MOVE>, event_info=0x0) at lib/eo/eo_base_class.c:1572
#22 0x00007f1c9af33923 in _efl_canvas_object_efl_object_event_callback_legacy_call (eo_obj=0x80000055e52c0ab7, obj=0x3472a30, desc=0x7f1c947dd1d8 <_EFL_GFX_EVENT_MOVE>, event_info=0x0) at lib/evas/canvas/evas_object_main.c:993
#23 0x00007f1c94367efb in efl_event_callback_legacy_call (obj=0x80000055e52c0ab7, desc=0x7f1c947dd1d8 <_EFL_GFX_EVENT_MOVE>, event_info=0x0) at lib/eo/eo_base_class.c:1572
#24 0x00007f1c9aee4c9d in evas_object_event_callback_call (eo_obj=0x80000055e52c0ab7, obj=0x3472a30, type=EVAS_CALLBACK_MOVE, event_info=0x0, event_id=782443, efl_event_desc=0x7f1c947dd1d8 <_EFL_GFX_EVENT_MOVE>)
    at lib/evas/canvas/evas_callbacks.c:404
#25 0x00007f1c9af363a7 in evas_object_inform_call_move (eo_obj=0x80000055e52c0ab7, obj=0x3472a30) at lib/evas/canvas/evas_object_inform.c:32
#26 0x00007f1c9af30133 in _efl_canvas_object_efl_gfx_position_set (eo_obj=0x80000055e52c0ab7, obj=0x3472a30, x=0, y=0) at lib/evas/canvas/evas_object_main.c:1172
#27 0x00007f1c9459c40b in efl_gfx_position_set (obj=0x80000055e52c0ab7, x=0, y=0) at ../src/lib/efl/interfaces/efl_gfx.eo.c:11
#28 0x00007f1c9af27571 in evas_object_move (obj=0x80000055e52c0ab7, x=0, y=0) at lib/evas/canvas/evas_object_main.c:1114
#29 0x00000000004954b9 in _e_comp_intercept_move (data=0x24fc1a0, obj=0x80000055e52c0ab7, x=0, y=0) at src/bin/e_comp_object.c:1128
#30 0x00007f1c9af3929e in evas_object_intercept_call_move (eo_obj=0x80000055e52c0ab7, obj=0x3472a30, a=0, b=0) at lib/evas/canvas/evas_object_intercept.c:76
#31 0x00007f1c9af36e76 in _evas_object_intercept_call_internal (eo_obj=0x80000055e52c0ab7, obj=0x3472a30, cb_type=EVAS_OBJECT_INTERCEPT_CB_MOVE, internal=1, args=0x7fff3b3c8ff0) at lib/evas/canvas/evas_object_intercept.c:122
#32 0x00007f1c9af377cc in _evas_object_intercept_call_evas (obj=0x3472a30, cb_type=EVAS_OBJECT_INTERCEPT_CB_MOVE, internal=1) at lib/evas/canvas/evas_object_intercept.c:236
#33 0x00007f1c9af2fdf5 in _efl_canvas_object_efl_gfx_position_set (eo_obj=0x80000055e52c0ab7, obj=0x3472a30, x=0, y=0) at lib/evas/canvas/evas_object_main.c:1126
#34 0x00007f1c9459c40b in efl_gfx_position_set (obj=0x80000055e52c0ab7, x=0, y=0) at ../src/lib/efl/interfaces/efl_gfx.eo.c:11
#35 0x00007f1c9af27571 in evas_object_move (obj=0x80000055e52c0ab7, x=0, y=0) at lib/evas/canvas/evas_object_main.c:1114
#36 0x0000000000498575 in _e_comp_intercept_show_helper (cw=0x24fc1a0) at src/bin/e_comp_object.c:1723
#37 0x0000000000496372 in _e_comp_intercept_show (data=0x24fc1a0, obj=0x80000055e52c0ab7) at src/bin/e_comp_object.c:1768
#38 0x00007f1c9af39110 in evas_object_intercept_call_show (eo_obj=0x80000055e52c0ab7, obj=0x3472a30) at lib/evas/canvas/evas_object_intercept.c:71
#39 0x00007f1c9af36cb7 in _evas_object_intercept_call_internal (eo_obj=0x80000055e52c0ab7, obj=0x3472a30, cb_type=EVAS_OBJECT_INTERCEPT_CB_VISIBLE, internal=1, args=0x7fff3b3c9580) at lib/evas/canvas/evas_object_intercept.c:103
#40 0x00007f1c9af377cc in _evas_object_intercept_call_evas (obj=0x3472a30, cb_type=EVAS_OBJECT_INTERCEPT_CB_VISIBLE, internal=1) at lib/evas/canvas/evas_object_intercept.c:236
#41 0x00007f1c9af2f773 in _efl_canvas_object_efl_gfx_visible_set (eo_obj=0x80000055e52c0ab7, obj=0x3472a30, vis=1 '\001') at lib/evas/canvas/evas_object_main.c:1801
#42 0x00007f1c9459d619 in efl_gfx_visible_set (obj=0x80000055e52c0ab7, v=1 '\001') at ../src/lib/efl/interfaces/efl_gfx.eo.c:21
#43 0x00007f1c9af27c70 in evas_object_show (eo_obj=0x80000055e52c0ab7) at lib/evas/canvas/evas_object_main.c:1633
#44 0x00000000005ee146 in _e_comp_x_show_helper (ec=0x37800d0) at src/bin/e_comp_x.c:1442
#45 0x00000000005e2ace in _e_comp_x_show (data=0x0, type=122, ev=0x2d70a80) at src/bin/e_comp_x.c:1502
#46 0x00007f1c94d110f8 in _ecore_call_handler_cb (func=0x5e28d0 <_e_comp_x_show>, data=0x0, type=122, event=0x2d70a80) at ../src/lib/ecore/ecore_private.h:325
#47 0x00007f1c94d10bd7 in _ecore_event_call () at lib/ecore/ecore_events.c:518
#48 0x00007f1c94d18e42 in _ecore_main_loop_iterate_internal (once_only=0) at lib/ecore/ecore_main.c:2397
#49 0x00007f1c94d18fd6 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1299
#50 0x00000000004422d0 in main (argc=1, argv=0x7fff3b402018) at src/bin/e_main.c:1081
zmike added a comment.Jun 9 2017, 9:44 AM
In T5521#87777, @zmike wrote:

And ec->override is 1?

zmike added a comment.Jun 12 2017, 2:22 AM

gonna need the output of *ec

(gdb) p *ec
$1 = {e_obj_inherit = {magic = -524686219, type = -525332478, references = 6, del_func = 0x4696a0 <_e_client_del>, cleanup_func = 0x468d90 <_e_client_free>, free_att_func = 0x0, del_att_func = 0x0, del_delay_func = 0x0,
    del_fn_list = 0x0, data = 0x0, delay_del_job = 0x0, walking_list = 0, ref_debug = 0 '\000', deleted = 0 '\000'}, __in_list = {next = 0x22e8df8, prev = 0x351ce88, last = 0x0}, pixmap = 0x2777730, depth = 24, x = 0, y = 0, w = 759,
  h = 448, pre_cb = {x = 0, y = 0, w = 0, h = 0}, client = {x = 0, y = 23, w = 759, h = 420}, frame = 0x80000055e52c0ab7, agent = 0x0, zone = 0x2221d80, desk = 0x22226e0, ping_poller = 0x38362a0, kill_timer = 0x0, modal = 0x0,
  leader = 0x0, group = 0x0, parent = 0x0, transients = 0x0, layer = E_LAYER_CLIENT_NORMAL, shape_rects = 0x0, shape_rects_num = 0, shape_input_rects = 0x0, shape_input_rects_num = 0, internal_icon = 0x0, internal_icon_key = 0x0,
  shade_dir = E_DIRECTION_UP, comp_data = 0x36a16a0, cur_mouse_action = 0x0, stack = {next = 0x0, prev = 0x0, ignore = 0, focus_skip = 0 '\000'}, border_size = 0, mouse = {current = {x = 0, y = 0, w = 0, h = 0, mx = 0, my = 0},
    last_down = {{x = 0, y = 0, w = 0, h = 0, mx = 0, my = 0}, {x = 0, y = 0, w = 0, h = 0, mx = 0, my = 0}, {x = 0, y = 0, w = 0, h = 0, mx = 0, my = 0}}, last_up = {{x = 0, y = 0, w = 0, h = 0, mx = 0, my = 0}, {x = 0, y = 0, w = 0,
        h = 0, mx = 0, my = 0}, {x = 0, y = 0, w = 0, h = 0, mx = 0, my = 0}}, in = 0 '\000'}, moveinfo = {down = {x = 0, y = 0, w = 0, h = 0, mx = 0, my = 0, button = 0}}, ignore_first_unmap = 0 '\000',
  resize_mode = E_POINTER_RESIZE_NONE, hacks = {mapping_change = 0 '\000', iconic_shading = 0 '\000'}, border = {changed = 0 '\000', user_selected = 0 '\000', name = 0x1f7a14c "default"}, saved = {x = 0, y = 0, w = 0, h = 0,
    layer = E_LAYER_DESKTOP, zone = 0, maximized = E_MAXIMIZE_NONE, frame = 0 '\000', set = 0 '\000'}, pre_res_change = {valid = 0 '\000', x = 0, y = 0, w = 759, h = 420, saved = {x = 0, y = 0, w = 0, h = 0}}, shaped = 0 '\000',
  argb = 0 '\000', icccm = {title = 0x0, name = 0x24bc26c "scroller", class = 0x25eb0bc "lt-elementary_test", icon_name = 0x0, machine = 0x1efe08c "bu5hm4n-laptop", min_w = 759, min_h = 71, max_w = 32767, max_h = 32767, base_w = -1,
    base_h = -1, step_w = -1, step_h = -1, start_x = 0, start_y = 0, min_aspect = 0, max_aspect = 0, icon_window = 0, window_group = 0, transient_for = 0, client_leader = 27262983, initial_state = ECORE_X_WINDOW_STATE_HINT_NORMAL,
    state = ECORE_X_WINDOW_STATE_HINT_NORMAL, icon_pixmap = 0, icon_mask = 0, gravity = ECORE_X_GRAVITY_NW, window_role = 0x0, take_focus = 0 '\000', accepts_focus = 1 '\001', urgent = 0 '\000', delete_request = 1 '\001',
    request_pos = 0 '\000', command = {argc = 1, argv = 0x3196580}, fetch = {title = 0 '\000', name_class = 0 '\000', icon_name = 0 '\000', machine = 0 '\000', hints = 0 '\000', size_pos_hints = 0 '\000', protocol = 0 '\000',
      transient_for = 0 '\000', client_leader = 0 '\000', window_role = 0 '\000', state = 0 '\000', command = 0 '\000'}}, mwm = {func = (unknown: 0), decor = (unknown: 0), input = ECORE_X_MWM_HINT_INPUT_MODELESS, exists = 0 '\000',
    borderless = 0 '\000', fetch = {hints = 0 '\000'}}, netwm = {pid = 27660, desktop = 0, name = 0x383628c "Scroller", icon_name = 0x383628c "Scroller", icons = 0x0, num_icons = 0, user_time = 0, opacity = 255 '\377',
    opacity_changed = 0 '\000', strut = {left = 0, right = 0, top = 0, bottom = 0, left_start_y = 0, left_end_y = 0, right_start_y = 0, right_end_y = 0, top_start_x = 0, top_end_x = 0, bottom_start_x = 0, bottom_end_x = 0},
    ping = 1 '\001', sync = {request = 1 '\001', alarm = 0 '\000', wait = 1, serial = 1, send_time = 0}, state = {modal = 0 '\000', sticky = 0 '\000', maximized_v = 0 '\000', maximized_h = 0 '\000', shaded = 0 '\000',
      skip_taskbar = 0 '\000', skip_pager = 0 '\000', hidden = 0 '\000', fullscreen = 0 '\000', stacking = E_STACKING_NONE}, action = {move = 0 '\000', resize = 0 '\000', minimize = 0 '\000', shade = 0 '\000', stick = 0 '\000',
      maximized_h = 0 '\000', maximized_v = 0 '\000', fullscreen = 0 '\000', change_desktop = 0 '\000', close = 0 '\000'}, type = E_WINDOW_TYPE_NORMAL, extra_types = 0x0, extra_types_num = 0, startup_id = 0, fetch = {name = 0 '\000',
      icon_name = 0 '\000', icon = 0 '\000', user_time = 0 '\000', strut = 0 '\000', type = 0 '\000', state = 0 '\000', opacity = 0 '\000'}, update = {state = 0 '\000'}}, e = {state = {video_position = {x = 0, y = 0, updated = 0 '\000'},
      video_parent = 0, video_parent_client = 0x0, video_child = 0x0, profile = {name = 0x0, available_list = 0x0, set = 0x33ff9cc "standard", wait = 0x0, wait_desk = 0x22226e0, wait_desk_delfn = 0x2cd9c90, num = 0,
        wait_for_done = 0 '\000', use = 1 '\001'}, stack = ECORE_X_STACK_NONE, centered = 0 '\000', video = 0 '\000'}, fetch = {state = 0 '\000', video_parent = 0 '\000', video_position = 0 '\000', profile = 0 '\000', stack = 0 '\000'}},
  qtopia = {fetch = {soft_menu = 0 '\000', soft_menus = 0 '\000'}, soft_menu = 0 '\000', soft_menus = 0 '\000'}, vkbd = {fetch = {state = 0 '\000', vkbd = 0 '\000'}, state = ECORE_X_VIRTUAL_KEYBOARD_STATE_UNKNOWN,
    have_property = 1 '\001', vkbd = 0 '\000'}, changes = {visible = 1 '\001', pos = 1 '\001', size = 1 '\001', stack = 0 '\000', prop = 0 '\000', border = 0 '\000', reset_gravity = 0 '\000', shading = 0 '\000', shaded = 0 '\000',
    shape = 1 '\001', shape_input = 1 '\001', icon = 0 '\000', internal_state = 0 '\000', need_maximize = 0 '\000', need_unmaximize = 0 '\000'}, visible = 1, hidden = 0, moving = 0, focused = 0, new_client = 0, re_manage = 0, placed = 1,
  shading = 0, shaded = 0, iconic = 0, deskshow = 0, sticky = 0, urgent = 0, shaped_input = 0, need_shape_merge = 0, need_shape_export = 0, fullscreen = 0, need_fullscreen = 0, already_unparented = 0, need_reparent = 0,
  button_grabbed = 0, delete_requested = 0, ping_ok = 1, hung = 0, take_focus = 0, want_focus = 1, user_skip_winlist = 0, maximized = E_MAXIMIZE_NONE, fullscreen_policy = E_FULLSCREEN_RESIZE, borderless = 0, offer_resistance = 1 '\001',
  bordername = 0x1f7a14c "default", lock_user_location = 0, lock_client_location = 0, lock_user_size = 0, lock_client_size = 0, lock_user_stacking = 0, lock_client_stacking = 0, lock_user_iconify = 0, lock_client_iconify = 0,
  lock_user_desk = 0, lock_client_desk = 0, lock_user_sticky = 0, lock_client_sticky = 0, lock_user_shade = 0, lock_client_shade = 0, lock_user_maximize = 0, lock_client_maximize = 0, lock_user_fullscreen = 0, lock_client_fullscreen = 0,
  lock_border = 0, lock_close = 0, lock_focus_in = 0, lock_focus_out = 0, lock_life = 0, stolen = 0, internal = 0, internal_no_remember = 0, internal_no_reopen = 0, internal_elm_win = 0x0, ping = 1225.058200987, changed = 1 '\001',
  icon_preference = 0 '\000', shelf_fix = {x = 0, y = 0, modified = 0}, stick_desks = 0x0, border_menu = 0x0, color_editor = 0x0, border_locks_dialog = 0x0, border_remember_dialog = 0x0, border_border_dialog = 0x0,
  border_prop_dialog = 0x0, pending_resize = 0x0, drag = {start = 0 '\000', x = 0, y = 0}, raise_timer = 0x0, move_intercept_cb = 0x0, remember = 0x0, sr_remember = 0x0, desktop = 0x0, exe_inst = 0x0, comp_hidden = 0 '\000',
  post_move = 1 '\001', post_resize = 0 '\000', post_show = 0 '\000', during_lost = 0 '\000', post_job = 0x0, focus_policy_override = E_FOCUS_LAST, uuid = 0x0, sinks = 0x0, volume = 0, volume_min = 0, volume_max = 0, mute = 0 '\000',
  volume_control_enabled = 0 '\000', override = 0 '\000', input_only = 0 '\000', dialog = 0 '\000', tooltip = 0 '\000', redirected = 1 '\001', unredirected_single = 0 '\000', shape_changed = 0 '\000', layer_block = 0 '\000',
  ignored = 0 '\000', no_shape_cut = 0 '\000', maximize_override = 0 '\000', maximize_anims_disabled = 0 '\000', keyboard_resizing = 0 '\000', on_post_updates = 0 '\000'}
zmike added a comment.Jun 12 2017, 7:24 AM

send me your config

zmike added a comment.Jun 12 2017, 7:54 AM

Try test commit in wip

zmike triaged this task as Pending on user input priority.Jun 15 2017, 8:29 AM